windghost817 2021-09-22 17:16 采纳率: 71.4%
浏览 54
已结题

python3 flask项目中启动后在查询数据库时报错。


Traceback (most recent call last):
  File "/root/operation/invest_adv/venv/lib/python3.6/site-packages/sqlalchemy/util/_collections.py", line 1008, in __call__
    return self.registry[key]
KeyError: <greenlet.greenlet object at 0x7fe0d92c8c28 (otid=0x7fe0d91c4558) current active started main>

During handling of the above exception, another exception occurred
……
  File "/usr/local/python36/lib/python3.6/sqlite3/dbapi2.py", line 27, in <module>
    from _sqlite3 import *
ModuleNotFoundError: No module named '_sqlite3'

没看懂造成这个异常的原因是什么?
项目本身使用了mysql,完全没有使用sqllite
已经确定同一套代码在其他机器上可以正常执行。在报错机器上同时运行了多个不同的python项目

  • 写回答

1条回答 默认 最新

报告相同问题?

问题事件

  • 系统已结题 10月1日
  • 已采纳回答 9月23日
  • 修改了问题 9月22日
  • 修改了问题 9月22日
  • 展开全部

悬赏问题

  • ¥15 u盘问题:盘符不显示 无媒体
  • ¥50 R语言读取nc按月均值转为tif
  • ¥30 智能车串级pid调参
  • ¥15 visual studio code翻译老是错误
  • ¥20 卫星测高数据的高程转换
  • ¥15 爬取招聘网站数据信息
  • ¥15 安装完tensorflow,import tensorflow as tf后报错,如何解决?
  • ¥15 ultralytics库导出onnx模型,模型失去预测能力
  • ¥15 linux下点对点协议连接2个USB串口的硬件流量控制问题
  • ¥15 SQL数据自动生成问题